Download it now!
Bug 74425 - Remove deprecated function ResMgr::GetLang()
Summary: Remove deprecated function ResMgr::GetLang()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-03 04:54 UTC by Chris Sherlock
Modified: 2014-02-05 20:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Sherlock 2014-02-03 04:54:00 UTC
The function GetLang is ResMgr is no longer used. It is used
by only one function, SubstitutePathVariables::SetPredefinedPathVariables() in the framework module.

It would be better removed from the class and added as it's own function in framework/source/services/substitutepathvars.cxx
Comment 1 Commit Notification 2014-02-04 14:44:37 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=570e5d70f32aeb34b1c1ad7623c71f7363ce4dfc

fdo#74425 Remove deprecated static function ResMgr::GetLang()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.